=== debian/control ===
Source: ros-indigo-ndt-feature-reg
Section: misc
Priority: extra
Maintainer: Jari Saarinen <jari.p.saarinen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-laser-geometry, ros-indigo-ndt-map, ros-indigo-ndt-registration, ros-indigo-ndt-visualisation, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/ndt_feature_reg
Standards-Version: 3.9.2

Package: ros-indigo-ndt-feature-reg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all-dev, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-laser-geometry, ros-indigo-ndt-map, ros-indigo-ndt-registration, ros-indigo-ndt-visualisation, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Description: ndt_feature_reg
